/** 
 * FractalNoteGenerator.java
 *
 * Written by John Waymouth as part of the Fractals and Art IQP by John 
 * Waymouth and Steve Conte.
 *
 * Fractals and Art: Music and Fractals
 *
 * This iterated function class provides fractal data from the java's
 * pseudorandom number generator Random, which is a type of chaos function.
 *
 */

import java.util.Random;

public class RandomFunction implements IteratedFunction {
    private Random random;

    public RandomFunction (long startingX) {
	random=new Random(startingX);
    }

    public int nextValue() {
	return random.nextInt(256);
    }
}
